summaryrefslogtreecommitdiff
path: root/debian/preinst
diff options
context:
space:
mode:
authorMonty Brandenberg <monty@lindenlab.com>2013-05-30 21:28:02 +0000
committerMonty Brandenberg <monty@lindenlab.com>2013-05-30 21:28:02 +0000
commitd6d2159bf875884bb060aaf8234478dd1ec478b4 (patch)
tree6873979584b8d269fb250c35219725598cb9b5d6 /debian/preinst
parent960139aa6f02f90c6102d3c5d5c38b5ebe689f9c (diff)
parentdcfb18373eca7986a73d8b9a1d34970cc0a23ed9 (diff)
Merge. Pull in viewer-release reflecting new release structure.
Diffstat (limited to 'debian/preinst')
-rw-r--r--debian/preinst39
1 files changed, 39 insertions, 0 deletions
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000000..f62243440f
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,39 @@
+#!/bin/sh
+# preinst script for secondlife-viewer
+#
+# Delete this file if you don't need it.
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts. Don't delete this!
+
+#DEBHELPER#
+
+exit 0
+
+